#!/usr/bin/env python

# Copyright (C) 2011-2012  Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#

"""
PCP server library defines

Francis_Dupont@isc.org, August 2011
"""   

__version__ = "$Id: 926a205696323240f6e4c15813fd0be58a9baff3 $"

PORT = 5351

OPCODE_ANNOUNCE = 1 << 0
OPCODE_MAP = 1 << 1
OPCODE_PEER = 1 << 2

NAT = 0
DSLITE = 1
NAT444 = 2
NAT64 = 3
NAT46 = 4
NPTv6 = 5
FW4 = 6
FW6 = 7
L2NAT = 8
MAPSRC = 0x1
MAPINT = 0x2
MAPEXT = 0x4
MAPDST = 0x8
OTHERPROTO = 0x10
PORT0 = 0x20
ONEONE = 0x40
FIREWALL = 0x80
THIRDPARTY = 0x100
THIRDPARTY_CPE = 0x200
THIRDPARTY_AO = 0x400
UPDATE = 0x40000000
CACHE = 0x80000000

LONGERRHT = 1800
SHORTERRHT = 30

PREFER_FAILURE = 1
CREATE_AS_LOCKED = 2

DELETE_FILTERS = 1
UNLOCK_ON_SUCCESS = 2

STATICMAPPING = 2
NEWMAPPING = 1
OK = 0
ERR_INVAL = -1
ERR_PROTOBASE = -100
ERR_UNSUPVERSION = -101
ERR_NOTAUTH = -102
ERR_BADREQUEST = -103
ERR_UNSUPOPCODE = -104
ERR_UNSUPOPTION = -105
ERR_BADOPTION = -106
ERR_NETFAILURE = -107
ERR_NORESOURCES = -108
ERR_UNSUPPROTO = -109
ERR_EXQUOTA = -110
ERR_CANTPROVIDE = -111
ERR_ADDRMISMATCH = -112
ERR_TOOMANYPEER = -113
ERR_PROCESSING = -292
