#! /bin/sh
# $Id: iptables_init.sh,v 1.5 2011/05/16 12:11:37 nanard Exp $
IPTABLES=/sbin/iptables

#change this parameters :
EXTIF=eth0
EXTIP="`LC_ALL=C /sbin/ifconfig $EXTIF | grep 'inet addr' | awk '{print $2}' | sed -e 's/.*://'`"
echo "External IP = $EXTIP"

#adding the SDCTLD chain for nat
$IPTABLES -t nat -N SDCTLD
#adding the rule to SDCTLD
#$IPTABLES -t nat -A PREROUTING -d $EXTIP -i $EXTIF -j SDCTLD
$IPTABLES -t nat -A PREROUTING -i $EXTIF -j SDCTLD

#adding the SDCTLD chain for filter
$IPTABLES -t filter -N SDCTLD
#adding the rule to SDCTLD
$IPTABLES -t filter -A FORWARD -i $EXTIF ! -o $EXTIF -j SDCTLD

