#! /bin/sh
# $Id: iptables_removeall.sh,v 1.5 2011/05/16 12:11:37 nanard Exp $
IPTABLES=/sbin/iptables

#change this parameters :
EXTIF=eth0
EXTIP="`LC_ALL=C /sbin/ifconfig $EXTIF | grep 'inet addr' | awk '{print $2}' | sed -e 's/.*://'`"

#removing the SDCTLD chain for nat
$IPTABLES -t nat -F SDCTLD
#rmeoving the rule to SDCTLD
#$IPTABLES -t nat -D PREROUTING -d $EXTIP -i $EXTIF -j SDCTLD
$IPTABLES -t nat -D PREROUTING -i $EXTIF -j SDCTLD
$IPTABLES -t nat -X SDCTLD

#removing the SDCTLD chain for filter
$IPTABLES -t filter -F SDCTLD
#adding the rule to SDCTLD
$IPTABLES -t filter -D FORWARD -i $EXTIF ! -o $EXTIF -j SDCTLD
$IPTABLES -t filter -X SDCTLD

