/* $Id: minissdp.h,v 1.10 2011/05/23 12:39:41 nanard Exp $ */
/* MiniUPnP project
 * http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
 * (c) 2006-2007 Thomas Bernard
 * This software is subject to the conditions detailed
 * in the LICENCE file provided within the distribution */
#ifndef __MINISSDP_H__
#define __MINISSDP_H__

int
OpenSSDPReceiveSocket(int ipv6);

int
OpenSSDPNotifySockets(int * sockets);

void
SendSSDPNotifies2(int * sockets,
                  unsigned short port,
                  unsigned int lifetime);

void
ProcessSSDPRequest(int s, unsigned short port);

void
ProcessSSDPData(int s, const char *bufr, int n,
                const struct sockaddr * sendername, unsigned short port);

int
SendSSDPGoodbye(int * sockets, int n);

int
SubmitServicesToMiniSSDPD(const char * host, unsigned short port);

#endif

